Skip to main content
PATCH
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
comments
/
{activity_id}
Update a contact comment
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments/{activity_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment": "<string>",
  "attachments": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "contact_id": "<string>",
  "comment": "<string>",
  "attachments": [
    {
      "id": "<string>",
      "file_path": "<string>",
      "file_filename": "document.pdf",
      "file_size": 1024,
      "file_mimetype": "application/pdf",
      "file_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actor": {
    "id": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com",
    "avatar": "<string>",
    "seen_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

contact_id
string
required

Contact ID

activity_id
string
required

Activity ID

Body

Schema for updating a contact comment

comment
string

The content of the comment (max 2048 characters)

Required string length: 1 - 2048
attachments
string[]

Array of file IDs to attach to the comment (replaces existing attachments)

Maximum array length: 20

Response

200 - application/json

Schema for a contact comment

id
string
required
contact_id
string
required
comment
string | null
required
attachments
object[]
required

Files attached to the comment

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

User who posted the comment